### A free/open-source library for quantitative finance

Classes
ql/pricingengines/cliquet/analyticcliquetengine.hpp File Reference

Analytic Cliquet engine. More...

`#include <ql/instruments/cliquetoption.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
Include dependency graph for analyticcliquetengine.hpp:

## Classes

class | AnalyticCliquetEngine
| Pricing engine for Cliquet options using analytical formulae. More...

## Detailed Description

Analytic Cliquet engine.